## ros-indigo-schunk-powercube-chain 0.6.12

=== debian/changelog ===
ros-indigo-schunk-powercube-chain (0.6.12-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.11-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.10-0trusty) trusty; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.9-0trusty) trusty; urgency=high

  * add c++11 definitions
  * manually fix changelog
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into indigo_dev
  * /diagnostics as global topic
  * Contributors: Nadia Hammoudeh García, ipa-fxm, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.8-0trusty) trusty; urgency=high

  * Position control
  * Merge pull request #163 <https://github.com/ipa320/schunk_modular_robotics/issues/163> from iirob/socketCAN
    SocketCAN
  * Added linux-headers-generic as dependency
  * Contributors: Andreea Tulbure, Denis Štogl

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.7-0trusty) trusty; urgency=high

  * Merge pull request #159 <https://github.com/ipa320/schunk_modular_robotics/issues/159> from mas-group/calibration_fix
    Calibration fix + warning elimination
  * if calibration data is not available, set to 0.0 by default
  * Repaired "look strange" lines.
  * cout  with endl formatting reverted.
  * Repair auto-formatting according to comments
  * Reformating of whole package in ROS style except OROCOS  files.
  * Support for older Amtec modules. Electronic version 2.
  * fix missing add_dependencies
  * Contributors: Denis Štogl, Felix Messmer, Format Bot, Frederik Hegger, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.6-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 31 Aug 2015 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.5-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.3-0trusty) trusty; urgency=high

  * fix topic names
  * replace brics_actuator
  * missing dependency
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * adapt schunk_powercube_chain to new namespaces
  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.2-0trusty) trusty; urgency=high

  * add dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.1-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.6.0-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.6-0trusty) trusty; urgency=high

  * catkin_lint'ing
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.5-0trusty) trusty; urgency=high

  * cleaning up
  * New maintainer
  * Contributors: ipa-fxm, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.4-0trusty) trusty; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * merge
  * added missing dependency
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 27 Mar 2014 23:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * merge with ipa320
  * merge with ipa320
  * some catkin_lint
  * Contributors: Felix, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.2-0trusty) trusty; urgency=high

  * add dep to rostest
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-schunk-powercube-chain (0.5.1-0trusty) trusty; urgency=high

  * removed a lot of code related to packages not available in hydro anymore
  * add definitions to get rid of some compiler warnings
  * fixed linking error of SDH and CAN libraries
  * Initial catkinization. Still a linking error in sdh lib.
  * Offsets added in PowercubeChain
  * merge conficts solved
  * Recover function changed (syncmotion deleted)
  * untested version that handels offsets inside ROS.
  * IMPORTANT changes in init! No offset used anymore. No limits are set to the modules to avoid errors in the PRL-Modules
  * Bug in reset during init fixed
  * fix compile issue
  * fix compile issue on natty
  * remove c++0x
  * Recover function improved
  * remove std=c++0x
  * spare includes deleted
  * added little comments
  * Restsequence in init() changed to avoid problems during 'init all' if there are more chains on one bus.
  * changed error on com to debug message

